Bug 1673098 - don't unconditionally taint VM with cpu mode=host-passthrough
Summary: don't unconditionally taint VM with cpu mode=host-passthrough
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-06 16:54 UTC by Cole Robinson
Modified: 2020-11-03 15:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-03 15:25:30 UTC


Attachments (Terms of Use)

Description Cole Robinson 2019-02-06 16:54:59 UTC
From a discussion about virt-manager exposing cpu mode=host-passthrough in the UI: https://www.redhat.com/archives/virt-tools-list/2019-February/msg00041.html

On Wed, Feb 06, 2019 at 11:22:01AM -0500, Cole Robinson wrote:
> On 2/6/19 10:57 AM, Pavel Hrdina wrote:
> > On Wed, Feb 06, 2019 at 10:20:38AM -0500, Cole Robinson wrote:
> > > On 2/5/19 6:19 PM, Hetz Ben Hamo wrote:
> > > > Is it possible to add in the virt-manager the "host-passthrough" to the
> > > > CPU models please?
> > > > 
> > > 
> > > You can type 'host-passthrough' into the field and it will work. The reason
> > > we don't advertise it is because it's considered to have some mild
> > > supportability issues with libvirt. For the vast majority of use cases
> > > though it's completely fine
> > 
> > Maybe we can reconsider this decision, the only thing that would not
> > work is live migration to destination with different CPU and we can
> > have a warning/info about it in the UI.
> > 
> > Possibly we could allow to set 'host-passthrough' as the default guest
> > CPU in virt-manager config.
> > 
> 
> Nowadays with host-model being much smarter, is there much functional
> difference between host-model and host-passthrough? I don't really know the
> answer.
> 
> > Most workstation/desktop users of virt-manager probably doesn't care
> > about live migration and it would copy the host CPU as closely as
> > possible.  Since we allow to manually type in 'host-passthrough' I
> > personally don't see any reason why it cannot be selectable.
> > 
> 
> The problem I see is that host-passthrough sets the libvirt 'taint' flag on
> the VM. While it doesn't have any real impact on end users generally I took
> that to mean 'you are doing something that is unsupported'.

We should probably remove that, or at least only taint /after/ a live
migration.

Comment 1 Cole Robinson 2020-11-03 15:25:30 UTC
Fixed in libvirt 6.9.0

commit 0fa5c238651c761927b2dac48b2c6885b1d3fb2e
Author: Cole Robinson <crobinso>
Date:   Sun Oct 4 13:51:27 2020 -0400

    qemu: Taint cpu host-passthrough only after migration


Note You need to log in before you can comment on or make changes to this bug.